



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>28.怎样在Swift中实现单例？</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">28.怎样在Swift中实现单例？</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-03-27 20:12:58 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<h2>1.回忆一下OC中的单例实现</h2>
<div>
<pre class="prettyprint linenums">//AFNetworkReachabilityManager中的单例,省略了其他代码<br />
@interface AFNetworkReachabilityManager : NSObject</pre>
<p>+ (instancetype)sharedManager;</p>
<pre class="prettyprint linenums">@end

@implementation AFNetworkReachabilityManager

+ (instancetype)sharedManager {<br />
    static AFNetworkReachabilityManager *_sharedManager = nil;<br />
    static dispatch_once_t onceToken;<br />
    dispatch_once(&amp;onceToken, ^{<br />
        _sharedManager = [self manager];<br />
    });

    return _sharedManager;<br />
}

@end</pre>
</div>
<h2>2.Swift中的单例实现</h2>
<p>　　在Swift中，有多种方式可以创建单例，比较常用也推荐使用的是如下的方式：</p>
<div>
<pre class="prettyprint linenums">class GofUserSession<br />
{<br />
    static let shareInstance = GofUserSession();

    private init() {}

}</pre>
</div>
<p>　　提供一个空的私有init()方法，可以保证单例是真正唯一的，避免外部对象通过访问init方法创建单例类的其他实例。</p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/2q7mzj1q.html">Java 中的集合接口&mdash;&mdash;List、Set、Map</a>
		</li>
						<li><a href="https://www.batexi.com/a/1q2kkwwq.html">&lbrack; jquery 过滤器 hasClass&lpar;class&rpar; &rsqb; 此方法用于在选择器的基础之上检查当前的元素是否含有某个特定的类，如果有，则返回true</a>
		</li>
						<li><a href="https://www.batexi.com/a/r8mdyor8.html">创建GitHub博客</a>
		</li>
						<li><a href="https://www.batexi.com/a/0qwpp4z8.html">AWS S3 API实现文件上传下载</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gmmxpl9.html">VC&plus;&plus;时间函数总结</a>
		</li>
						<li><a href="https://www.batexi.com/a/qlmvkje9.html">多校1005 HDU5785 Interesting  &lpar;manacher&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rd6xdd8.html">asp&period;net 运行时&comma; 报控件不存在</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxnjyd08.html">&amp;quot&semi;ORA-00942&colon; 表或视图不存在 &amp;quot&semi;的原因和解决方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gmoj709.html">HDU 4588 Count The Carries  计算二进制进位总数</a>
		</li>
						<li><a href="https://www.batexi.com/a/qde7j0z9.html">python （3）：wxPython打包app，报错</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ojj27eq.html">50一个Android开发技巧&lpar;01  利用好layout&lowbar;weight属性&rpar;</a>
		</li>
						<li><a href="https://www.batexi.com/a/93yjeyr8.html">Android Screen Monitor使用</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2j2gjo8.html">Eclipse中启动tomcat时内存溢出</a>
		</li>
						<li><a href="https://www.batexi.com/a/8eyr4zx9.html">git无法pull仓库refusing to merge unrelated histories</a>
		</li>
						<li><a href="https://www.batexi.com/a/8ey2nzz9.html">Linux内核链表-通用链表的实现</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy1jnvgq.html">&period;Net MVC5异步请求Entity Framework 无限循环解决方法</a>
		</li>
						<li><a href="https://www.batexi.com/a/q2jzeg38.html">数据库优化案例&mdash;&mdash;&mdash;&mdash;&mdash;&mdash;某知名零售企业ERP系统</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgvnrr8.html">Django Rest framework Swagger生成api文档</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4zxldn9.html">【异常处理】Java异常如何做异常处理</a>
		</li>
						<li><a href="https://www.batexi.com/a/qxdko0d9.html">html页面转jsp后 乱码问题。</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/96o7or49.html">手机GUI自动化测试介绍</a>
			</li>
						<li><a href="https://www.batexi.com/a/8z1ro6d9.html">聊聊Dataguard的三种保护模式实验（下）</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7mloyxq.html">Apache二级域名配置方法</a>
			</li>
						<li><a href="https://www.batexi.com/a/qyd42vgq.html">SVN中检出&lpar;check out&rpar; 和 导出&lpar;export&rpar; 的区别</a>
			</li>
						<li><a href="https://www.batexi.com/a/q1zppv69.html">selenium python （四）键盘事件</a>
			</li>
						<li><a href="https://www.batexi.com/a/qwd50nz8.html">CSS3制作苹果风格键盘</a>
			</li>
						<li><a href="https://www.batexi.com/a/93xdn2z9.html">python中函数的总结之三</a>
			</li>
						<li><a href="https://www.batexi.com/a/qvvzk4yq.html">使用Java进行MD5加密</a>
			</li>
						<li><a href="https://www.batexi.com/a/8k1nkj39.html">&lbrack;转&rsqb;天龙八部的BillingServer</a>
			</li>
						<li><a href="https://www.batexi.com/a/8k1nk259.html">php 解压 &period;gz 文件</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
